/*
speed Version 1.1.0 - Population Clock Speed
Copyright (C) 2001-2010  dondalah721@yahoo.com (Dondalah)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <math.h>
#include <ctype.h>
#include <string.h>
#include <errno.h>

double dblanndlta;

void putstx(pgm)
char *pgm;
   {
   fprintf(stderr,"Usage: %s <annual_change>\n",
      pgm);
   fprintf(stderr,"Where annual_change is the "
      "annual increase or decrease\n");
   fprintf(stderr,"from -999999999999999 to "
      "999999999999999\n");
   exit(1);
   } /* putstx */

int main(argc,argv)
int argc;
char **argv;
   {
   double dblspy,sign;
   double ten,unit;
   char *p;
   if (argc < 2) putstx(*argv);
   p = *(argv+1);
   if (*p == '-')
      {
      sign = -1.0;
      p++;
      }
   else sign = 1.0;
   dblanndlta = 0.0;
   ten = 10.0;
   while (*p != '\0')
      {
      if (*p < '0' || *p > '9')
         putstx(*argv);
      unit = (double) *p - '0';
      dblanndlta = (dblanndlta * ten) + unit;
      p++;
      }
   if (dblanndlta > 999999999999999.0)
      putstx(*argv);
   if (dblanndlta < 10000000.0)
      {
      fprintf(stderr,"Warning: low annual rate %.0f\n",
	 dblanndlta);
      fprintf(stderr,"Press <Return> to continue.\n");
      getchar();
      }
   /* seconds per year */
   dblspy = 3600.0 * 24.0 * 365.25;
   printf("It takes %f seconds for "
      "the total to change by %.0f\n",
      1.0 / (dblanndlta / dblspy),
      sign);
   return(0);
   } /* main */
